using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using com.pure360.paint;

public partial class Default2 : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (this.tbListData.Text == "")
        {
            this.tbListData.Text = "email,first name,last name,customer number\n" +
                                    "abc1@anydomain.com,John,Smith,A12345\n" +
                                    "abc2@anydomain.com,James,Salmon,B12345\n" +
                                    "abc3@anydomain.com,Jack,Sutton,C12345\n" +
                                    "abc4@anydomain.com,Julie,Salford,D12345\n" +
                                    "abc5@anydomain.com,June,Sanders,E12345\n" +
                                    "abc6@anydomain.com,Johan,Smythe,F12345\n" +
                                    "abc7@anydomain.com,Jenny,Sorano,G12345\n" +
                                    "abc8@anydomain.com,Julian,Shankley,H12345\n" +
                                    "abc9@anydomain.com,Jose,Sandro,I12345\n" +
                                    "abc10@anydomain.com,Jamie,Savier,J12345\n";
        }
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        PaintMethods paint = null;

        try
        {
            // ***** Log in and create a context *****
            paint = new PaintMethods();
            paint.login();

            // ***** Upload your list data *****
            paint.createList(this.tbListName.Text, 
                                this.tbListData.Text,
                                this.tbNotifyUri.Text);

            // Output to help the user see what's going on.
            this.lblOutput.Text = "List upload request sent.  Please wait for the system to process the request." + "<BR/><BR/>";
        }
        catch (PaintValidationException pve)
        {
            this.lblOutput.Text = "Validation Error<BR/><BR/>" +
                                    paint.convertResultToDebugString(pve.getErrors()) + "<BR/><BR/>";
        }
        catch (PaintSecurityException psece)
        {
            this.lblOutput.Text = "Security Exception<BR/><BR/>" +
                                    psece.Message + "<BR/><BR/>";
        }
        catch (PaintSystemException pse)
        {
            this.lblOutput.Text = "System Exception<BR/><BR/>" +
                                    pse.Message + "<BR/><BR/>";
        }
        catch (Exception exp)
        {
            this.lblOutput.Text = "Unhandled Exception<BR/><BR/>" +
                                    exp.Message + "<BR/><BR/>";
        }

        // Log out of the session.  This should be placed so that
        // it will always occur even if there is an exception
        try
        {
            paint.logout();
        }
        catch (Exception exp)
        {
            // Ignore failures when trying to log out.
            String message = exp.Message;
        }
    }
}
