<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RetrieveEventNotifications.aspx.cs" Inherits="RetrieveEventNotification" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>))) Pure: PAINT Example Implementation</title>    
    <link rel="stylesheet" type="text/css" href="paint.css" />    
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:HyperLink ID="HyperLink1" runat="server" NavigateUrl="~/index.htm"><b>home</b></asp:HyperLink><br />
        <br />
        Retrieve the event notifications from your deliveries.  Note that each different type of event notifcation 
		required must be enabled on the profile.  Once enabled, some notifications need to be specifically switched on
		within the email e.g. clicks and opens.  Event notification will be returned based on the selected notification
		types, and will be returned in CSV format.<br />
        <br />
        <asp:Label ID="lblOutput" runat="server" ForeColor="Red"></asp:Label>
        Notification Types:<br />
        <em>(enter a comma separated list of types i.e. CLICK,OPEN,BOUNCE,OPTOUT,OPTIN,DELIVERY)</em>
        <br />
        <asp:TextBox ID="tbNotificationTypes" runat="server" size="50"></asp:TextBox><br />
        <br />
        Maximum Notifications:<br/>
        <em>(the maximum number of event notifications to return per request)</em>
        <br />
        <asp:TextBox ID="tbMaxNotifications" runat="server"></asp:TextBox><br />
        <br />
        Mark as Read:<br/>
        <em>(mark the retrieved notifications as read so that they are not returned in the next request)</em>
        <br />
        <asp:TextBox ID="tbMarkAsReadInd" runat="server"></asp:TextBox><br />
        <br />
        Custom fields:<br/>
        <em>(list the names of custom fields to be returned if available)</em>
        <br />
        <asp:TextBox ID="tbCustomFieldNames" runat="server"></asp:TextBox><br />
        <br />
        <asp:Button ID="btRetrieveData" runat="server" OnClick="Button1_Click" Text="Retrieve Data" /></em>
        <br />
        <br />
        Result:<br />
        <em>(the returned data will be displayed below)</em><br />
        <br/>
        <b>Event records returned:</b>
        <br/>
        <br/>
        <asp:Label ID="lblEventCount" runat="server" ForeColor="Blue"></asp:Label>
		<br/>
		<br/>
        <b>Event data description:</b>
        <br/>
        <pre><asp:Label ID="lblEventMetaOutput" runat="server" ForeColor="Blue"></asp:Label></pre>
        <b>Event data (base 64 decoded):</b>
        <br/>
        <pre><asp:Label ID="lblEventData" runat="server" ForeColor="Blue"></asp:Label></pre>
		<br />
        <br />        
        </div>
    </form>
</body>
</html>
