using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class createEsaleDelivery : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (this.tbCustomData.Text == "")
        {
            this.tbCustomData.Text = "firstName=John\n" +
                                    "lastName=Smith";
        }
    }

    protected void Button1_Click(object sender, EventArgs e)
    {
        PaintMethods paint = null;

        try
        {
            // ***** Log in and create a context *****
            paint = new PaintMethods();
            paint.login();

            // ***** Create your esale *****
            paint.createOne2One(this.tbEmailTo.Text,
                                this.tbMessageName.Text,
                                this.tbCustomData.Text);

            // Output to help the user see what's going on.
            this.lblOutput.Text = "One-to-One request scheduled." + "<BR/><BR/>";
        }
        catch (PaintValidationException pve)
        {
            this.lblOutput.Text = "Validation Error<BR/><BR/>" +
                                    paint.convertResultToDebugString(pve.getErrors()) + "<BR/><BR/>";
        }
        catch (PaintSecurityException psece)
        {
            this.lblOutput.Text = "Security Exception<BR/><BR/>" +
                                    psece.Message + "<BR/><BR/>";
        }
        catch (PaintSystemException pse)
        {
            this.lblOutput.Text = "System Exception<BR/><BR/>" +
                                    pse.Message + "<BR/><BR/>";
        }
        catch (Exception exp)
        {
            this.lblOutput.Text = "Unhandled Exception<BR/><BR/>" +
                                    exp.Message + "<BR/><BR/>";
        }

        // Log out of the session.  This should be placed so that
        // it will always occur even if there is an exception
        try
        {
            paint.logout();
        }
        catch (Exception exp)
        {
            // Ignore failures when trying to log out.
            String message = exp.Message;
        }
    }
}
